/* CSS Document */

/* SBCE ROOT STYLES START HERE */

/* basic site styles */

/* the HTML height of 100%, body height of 100%, and maintable height of 100% are all to keep the main table from getting too short */

html {
	height: 100%;
	}

body {
	margin: 0px;
	padding: 0px;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	color: #000000;
	background: #990099 url(bg-dgray.png);
	line-height: 1.5;
	height: 100%;
	width: 100%;
	}
	
.maintable {
	min-height: 100%;
	height: 100%;
}

.small {
	color: #000000;
	font-size: 11px;
}

/* table override to correct font-size/line-height bug in many browsers */

table {
	font-size: 12px;
	line-height: 1.5;
}

/* clear out background gray when doing the 'print only' versions */
body.contentpane {
	background: #ffffff !important;
}

/* basic link styles */

a, a:visited {
	color: #660066;
	text-decoration: none;
	border-bottom: 1px #cccccc solid;
	font-weight: bold;
}

a:hover {
	color: #660066;
	font-weight: bold;
	/*border-bottom: 1px #990000 solid;*/
	border-color: #660066;
}

/* background colors and patterns */

.bg-white {
	background: #FFFFFF;
	}

.bg-blue {
	background: url(bg-blue.png) #0000CC;
	}
	
.bg-lgray {
	background: url(bg-lgray.png) #FFCCFF;
	}
	
.bg-dgray {
	background: url(bg-dgray.png) #990099;
	}
	
.bg-topbar {
	background: url(bg-topbar.png) #FFCCFF;
	}
	
.bg-topbar1 {
	background: url(bg-topbar1.png) #CC66CC;
	}
	
.bg-botbar {
	background: url(bg-botbar.png) #CC66CC;
	}
	
.bg-leftcol {
	background: url(bg-leftcol.png) #990099;
	}
	
.bg-rightcol {
	background: url(bg-rightcol.png) #990099;
	}


/* Joomla! SPECIFIC FROM HERE ON */

/* main site module control */

/* force divs to display as inline in the header and footer areas */

td.inliner div, td.inliner div div, td.inliner div div div, td.inliner div div div div, td.inliner div div div div div, td.inliner div form {
	display: inline;
	}

/* deal with table weirdness in IE that killed top & bottom borders by forcing a table height */
* html td.topmenu div.module div div div table {
	height: 30px;
}

/* top area for main menu, module and link definitions */

td.topmenu a.mainlevel {
	font-size: 11px;
	color: #660066;
	border: 1px #CC66CC solid;
	padding-top: 2px;
	padding-bottom: 2px;
	padding-left: 5px;
	padding-right: 5px;
}
/* part 2 of IE border fix */
* html td.topmenu a.mainlevel {
	height: 15px;
	padding-top: 0px;
	padding-bottom: 0px;
	}

td.topmenu a.mainlevel:hover, td.topmenu a#active_menu:hover {
	color: #660066;
	background-color: #CC66CC;
	border-color: #660066;
}

td.topmenu a#active_menu {
	background-color: #CC66CC;
	color: #FFFFFF;
	border: 1px #660066 solid;
}

/* search bar */

div.search {
	text-align: right !important;
}

div.search input.inputbox {
	width: 90px;
}

/* sidebar (left & right) modules */

td.sidebars div.module {
	width: 150px;
	line-height: 1.25;
	background: url(bg-blurble.png) #FFCCFF;
	margin-bottom: 10px;
	font-size: 11px;
}

/* IE fix for when the sidebars go too wide */
* html td.sidebars div.module {
	overflow: hidden;
}

/* table override again, this time for the modules */
td.sidebars div.module table {
	font-size: 11px;
}

td.sidebars div.module div div div {
	padding: 10px;
	width: 130px;
}

/* MSIE hack to make it work right */
* html td.sidebars div.module div div div {
	width: 150px;
}

/* rounded corners, chosen based on side! */
.bg-leftcol div.module div {
	background: url(blurble-tl.png) no-repeat top left;
}
.bg-leftcol div.module div div {
	background: url(blurble-bl.png) no-repeat bottom left;
}
.bg-rightcol div.module div {
	background: url(blurble-tr.png) no-repeat top left;
}
.bg-rightcol div.module div div {
	background: url(blurble-br.png) no-repeat bottom left;
}


div.module h3 {
	display: block;
	text-align: center;
	font-size: 12px;
	margin-top: 2px;
	margin-bottom: 4px;
	font-weight: bold;
	border-bottom: 1px #666666 solid;
	padding-bottom: 4px;
}

/* module content; UL style override */

div.module ul {
	margin-left: 1em;
	padding-left: 1em;
}

/* LI spacing for what's new */

li.latestnews {
	margin-bottom: 5px;
	}

/* control the look of the main menu links; MSIE-specific DOM hack to make it work right in IE */

td.sidebars a.mainlevel, td.sidebars a.mainlevel:visited {
	display: block;
	font-size: 12px;
	width: 108px;
	margin-right: auto;
	margin-left: auto;
	background: url(linkback.gif) no-repeat center left;
	color: #660066;
	text-align: left;
	border: 0px;
	padding-top: 3px;
	padding-bottom: 3px;
	padding-left: 17px;
	padding-right: 5px;
}

* html td.sidebars a.mainlevel, * html td.sidebars a.mainlevel:visited, * html td.sidebars a.mainlevel:hover {
	width: 130px;
	height: 20px;
	text-decoration: none;
}

/* main menu hover effect */

td.sidebars a.mainlevel:hover {
	background: url(linkback-over.gif) no-repeat center left #CC66CC;
	color: #990000;
}

/* make the active menu (if top-level) a different color; hover effect reiteration to make it keep working */

td.sidebars a.mainlevel#active_menu {
	color: #FFFFFF;
	background: url(linkback-over.gif) no-repeat center left #CC66CC;
	text-decoration: none;
}

td.sidebars a.mainlevel#active_menu:hover {
	color: #990000;
}

/* code to control Joomla's needlessly-complex sublevel menus */

td.sidebars div.module div div div div {
	padding: 0px !important;
	background: url(bg-lgray.png) #EFEFEF !important;
	width: 130px !important;	
}

td.sidebars div.module div div div div img {
	display: none;
}

td.sidebars a.sublevel, td.sidebars a.sublevel:visited {
	display: block;
	width: 109px;
	margin-left: 4px;
	color: #660066;
	text-align: left;
	border: 0px;
	border-left: 5px #CC66CC solid;
	padding-top: 3px;
	padding-bottom: 3px;
	padding-left: 8px;
	padding-right: 4px;
	font-size: 10px;
	font-weight: normal;
}
/* fix it in IE again */
* html td.sidebars a.sublevel, * html td.sidebars a.sublevel:visited {
	width: 125px;
	text-decoration: none;
}

td.sidebars a.sublevel#active_menu {
	color: #ffffff;
	background: #CC66CC;
	border-left: 5px #660066 solid;
}

/* reiterate mouseover & active menu behavior in sublevel menus */

td.sidebars a.sublevel:hover, td.sidebars a.sublevel:hover#active_menu {
	color: #990000;
	background: #CC66CC;
	border-left: 5px #660066 solid;
}

/* control the look of buttons */

.button {
	font-weight: bold;
	color: #333333;
	text-align: center;
	font-size: 10px;
	height: 20px;
	padding: 2px;
	border: solid 1px #666666;
	background-color: #efefef;
}

/* control the look of the breadcrumb/pathway links; MSIE-specific DOM hack and color reiteration to make it work right in IE */

div.breadcrumbs {
	height: 25px;
	margin-bottom: 5px;
	vertical-align: middle;
	font-size: 10px;
	font-weight: bold;
	background: #FFCCFF url(pathway-bg.png);
	overflow: hidden;
}

div.breadcrumbs div {
	background: url(pathway-l.png) no-repeat top left;
}

div.breadcrumbs div div {
	height: 13px;
	padding: 6px;
	padding-left: 12px;
	background: url(pathway-r.png) no-repeat top right;
}
* html div.breadcrumbs div div {
	height: 25px;
}

a.pathway, a.pathway:visited {
	color: #000000;
}

a.pathway:hover {
	color: #990000;
}

/* control the component heading; this is handled inconsistently in Joomla and in browsers, so it includes many hacks and duplicity to make it work [mostly] right everywhere */

.componentheading {
	width: 100%;
	font-size: 18px;
	font-weight: bold;
}

div.componentheading {
	margin-left: 2px;
	margin-right: 2px;
	margin-bottom: 5px;
}

/* force the content table to the full possible width; basic contentpane setups */

table.contentpaneopen, table.blog {
	width: 100%;
	/*border: 1px black solid;*/
}

table.contentpane td {
	margin: 0px;
	padding: 0px;
}

.contentpane tr td table {
	width: 100%;
}

/* set style of Section/Category banner [working around missing Joomla class], date, navcounter */

.contentpaneopen span,.createdate,.pagenavcounter {
	font-weight: bold;
	font-size: 11px;
}

/* Force MSIE to put the right amt. of space under the created date */

* html td.createdate {
	padding-bottom: 8px;
}

/* force spacing between lists of categories (again, working around a missing Joomla class) */

.contentpane tr td ul li {
	padding-bottom: 10px;
}

/* set up the TOC for multi-page content (I don't use this much, but it's nice to have it styled in case I need it later */

table.contenttoc {
	margin: 2px;
	padding: 2px;
	border: 1px #999999 solid;
}

table.contenttoc th {
	background-color: #EFEFEF;
	height: 20px;
}

table.contenttoc td {
	padding-top: 2px;
	padding-bottom: 2px;
}

/* set the content heading & page title styles */

td.contentheading {
	text-align: left;
	font-size: 18px;
	font-weight: bold;
	border-top: 1px solid #999999;
}

.contentpagetitle {
	font-size: 14px;
	font-weight: bold;
	text-align: left;
}

/* set the style of the print & email button; override the hover (to kill ugly gray hover) */

td.buttonheading {
	border-top: 1px solid #999999;
}

td.buttonheading a, td.buttonheading a:hover {
	border: 0px;
	background-color: #ffffff;
}

/* forcibly remove extra spacing around rating form (MSIE & Apple Safari, oddly enough) */

td.centercol form {
	display: inline;
	}

/* force a margin spacer on the content raters */

.content_rating, .content_vote {
	margin-left: 4px;
}

/* modified date that can appear at the bottom of content (I rarely use this, but it's ready if I change my mind) */

.modifydate {
	height: 11px;
	padding-top: 10px;
	font-weight: bold;
}

/* back & next links, blognav, etc. to navigate through content */

.pagenav,.pagenav_prev,.pagenav_next {
	font-size: 10px;
}

/* control the readon links (indent) */

a.readon {
	display: block;
	margin-left: 50px;
	/*margin-bottom: 15px;*/
	width: 75px;
	text-align: center;
	font-size: 10px;
}

/* force a margin onto the content description (using an invisible border) */

td.contentdescription {
	border-top: 4px solid #ffffff;
}

/* set up the section tables (lists of content); header, footer, entries */

td.sectiontableheader {
	background-color: #cccccc;
	font-size: 10px;
}

td.sectiontablefooter {
	background-color: #cccccc;
}

tr.sectiontableentry1 td,tr.sectiontableentry2 td {
	padding-top: 5px;
	padding-bottom: 5px;
	border-bottom: 1px solid #cccccc;
}

/* for some reason, AkoComment uses a sectiontable to display comments.  my sectiontable style would work great, except it clashes with the HRs hard-coded into AkoComment.  rather than hacking AkoComment, this just hides HRs if they appear inside any sectiontableentry. */

tr.sectiontableentry1 td hr,tr.sectiontableentry2 td hr {
	visibility: hidden;
}

/* contral the highlight in search results */

.highlight {
	background-color: Yellow;
	color: Blue;
}

/* control the more lists on blog-formatted pages */

.blog_more {
	margin-top: 20px;
	border-top: 1px solid #999999;
}
.blog_more div {
	margin-top: 10px;
}
.blog_more li {
	padding-top: 2px;
}

/* footer Mac, etc. links */
td.botfooter {
	font-size: 10px;
	color: #FFFFFF;
	padding-top: 3px;
	}
td.botfooter a, td.botfooter a:hover {
	text-decoration: none;
	border: 0px;
	padding: 0px;
}


/* footer legals override */
td.botlegals {
	line-height: 1.25;
	text-align: right;
	font-size: 10px;
	color: #FFFFFF;
	padding-top: 3px;
	}
td.botlegals a {
	color: #FFFFFF !important;
	border: 0px;
	}
td.botlegals a:hover {
	color: #FFFFFF;
	text-decoration: underline;
	border: 0px;
}
